<?php
/**
 * This project has been generated by worker generator
 * has been made by fahmi sulaiman
 * sulaimanfahmi@gmail.com
 * check out my github @dekaulitz
 */

namespace App\Http\Controllers\Administrator;

use App\Http\Base\BaseController;
use Illuminate\Http\Request;
use App\Http\Services\SyncerrorService;

class SyncerrorController extends BaseController
{
    protected $baseService;

    /**
     * constructor.
     */
    public function __construct($request)
    {
        parent::__construct();     
        $this->baseService = new SyncerrorService();        
    }

    /**
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse
     */
    public function paging(Request $request)
    {
        $this->data["ordering"] = [ 
            "date_created:asc" => "Tanggal &uarr;"
            , "date_created:desc" => "Tanggal &darr;"
            , "table_name:asc" => "Process Name &uarr;"
            , "table_name:desc" => "Process Name &darr;"
        ];
        $this->data["syncs"] = $this->baseService->paging($request);
        return view("modules.syncerror.syncerror_index", $this->data);
    }

}